scala.collection.mutable.ArrayOps

# ofChar

#### final class ofChar extends AnyVal with ArrayOps[Char] with ArrayLike[Char, Array[Char]]

A class of `ArrayOps` for arrays containing `char`s.

Source
  ArrayOps.scala

Linear Supertypes
ArrayOps[Char], CustomParallelizable[Char, ParArray[Char]], ArrayLike[Char, Array[Char]], IndexedSeqOptimized[Char, Array[Char]], collection.IndexedSeqOptimized[Char, Array[Char]], IndexedSeqLike[Char, Array[Char]], collection.IndexedSeqLike[Char, Array[Char]], collection.SeqLike[Char, Array[Char]], GenSeqLike[Char, Array[Char]], IterableLike[Char, Array[Char]], GenIterableLike[Char, Array[Char]], TraversableLike[Char, Array[Char]], GenTraversableLike[Char, Array[Char]], Parallelizable[Char, ParArray[Char]], TraversableOnce[Char], GenTraversableOnce[Char], FilterMonadic[Char, Array[Char]], HasNewBuilder[Char, Array[Char]], Equals, AnyVal, NotNull, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. ofChar
2. ArrayOps
3. CustomParallelizable
4. ArrayLike
5. IndexedSeqOptimized
6. IndexedSeqOptimized
7. IndexedSeqLike
8. IndexedSeqLike
9. SeqLike
10. GenSeqLike
11. IterableLike
12. GenIterableLike
13. TraversableLike
14. GenTraversableLike
15. Parallelizable
16. TraversableOnce
17. GenTraversableOnce
18. FilterMonadic
19. HasNewBuilder
20. Equals
21. AnyVal
22. NotNull
23. Any

Implicitly

1. by traversable2ops
2. by MonadOps
3. by any2stringadd
4. by any2stringfmt
5. by any2ArrowAssoc
6. by any2Ensuring
7. by alternateImplicit

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new ofChar(repr: Array[Char])

### Type Members

1. #### class Elements extends AbstractIterator[A] with BufferedIterator[A] with Serializable

   The class of the iterator returned by the `iterator` method.

2. #### type Self = Array[Char]

   The type implementing this traversable

   The type implementing this traversable

   Attributes
     protected
   Definition Classes
     TraversableLike

3. #### class WithFilter extends FilterMonadic[A, Repr]

   A class supporting filtered operations.

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     Any

2. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from ofChar to StringAdd performed by method any2stringadd in scala.Predef.
   Definition Classes
     StringAdd

4. #### def ++[B](that: GenTraversableOnce[B]): Array[B]

   [use case] Returns a new mutable indexed sequence containing the elements from the left hand operand followed by the elements from the right hand operand.

   [use case]

   Returns a new mutable indexed sequence containing the elements from the left hand operand followed by the elements from the right hand operand. The element type of the mutable indexed sequence is the most specific superclass encompassing the element types of the two operands.

   Example:

       scala> val a = LinkedList(1)
       a: scala.collection.mutable.LinkedList[Int] = LinkedList(1)

       scala> val b = LinkedList(2)
       b: scala.collection.mutable.LinkedList[Int] = LinkedList(2)

       scala> val c = a ++ b
       c: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2)

       scala> val d = LinkedList('a')
       d: scala.collection.mutable.LinkedList[Char] = LinkedList(a)

       scala> val e = c ++ d
       e: scala.collection.mutable.LinkedList[AnyVal] = LinkedList(1, 2, a)

   B

     the element type of the returned collection.

   that

     the traversable to append.

   returns

     a new mutable indexed sequence which contains all elements of this mutable indexed sequence followed by all elements of `that`.

   Definition Classes
     TraversableLike → GenTraversableLike
   Full Signature

   #### def ++[B >: Char, That](that: GenTraversableOnce[B])(implicit bf: CanBuildFrom[Array[Char], B, That]): That

5. #### def ++:[B >: Char, That](that: collection.Traversable[B])(implicit bf: CanBuildFrom[Array[Char], B, That]): That

   As with `++`, returns a new collection containing the elements from the left operand followed by the elements from the right operand.

   As with `++`, returns a new collection containing the elements from the left operand followed by the elements from the right operand.

   It differs from `++` in that the right operand determines the type of the resulting collection rather than the left one. Mnemonic: the COLon is on the side of the new COLlection type.

   Example:

       scala> val x = List(1)
       x: List[Int] = List(1)

       scala> val y = LinkedList(2)
       y: scala.collection.mutable.LinkedList[Int] = LinkedList(2)

       scala> val z = x ++: y
       z: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2)

   This overload exists because: for the implementation of `++:` we should reuse that of `++` because many collections override it with more efficient versions.

   Since `TraversableOnce` has no `++` method, we have to implement that directly, but `Traversable` and down can use the overload.

   B

     the element type of the returned collection.

   That

     the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `B` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, B, That]` is found.

   that

     the traversable to append.

   bf

     an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and the new element type `B`.

   returns

     a new collection of type `That` which contains all elements of this mutable indexed sequence followed by all elements of `that`.

   Definition Classes
     TraversableLike

6. #### def ++:[B](that: TraversableOnce[B]): Array[B]

   [use case] As with `++`, returns a new collection containing the elements from the left operand followed by the elements from the right operand.

   [use case]

   As with `++`, returns a new collection containing the elements from the left operand followed by the elements from the right operand.

   It differs from `++` in that the right operand determines the type of the resulting collection rather than the left one. Mnemonic: the COLon is on the side of the new COLlection type.

   Example:

       scala> val x = List(1)
       x: List[Int] = List(1)

       scala> val y = LinkedList(2)
       y: scala.collection.mutable.LinkedList[Int] = LinkedList(2)

       scala> val z = x ++: y
       z: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2)

   B

     the element type of the returned collection.

   that

     the traversable to append.

   returns

     a new mutable indexed sequence which contains all elements of this mutable indexed sequence followed by all elements of `that`.

   Definition Classes
     TraversableLike
   Full Signature

   #### def ++:[B >: Char, That](that: TraversableOnce[B])(implicit bf: CanBuildFrom[Array[Char], B, That]): That

7. #### def +:(elem: A): Array[A]

   [use case] A copy of the mutable indexed sequence with an element prepended.

   [use case]

   A copy of the mutable indexed sequence with an element prepended.

   Note that :-ending operators are right associative (see example). A mnemonic for `+:` vs. `:+` is: the COLon goes on the COLlection side.

   Also, the original mutable indexed sequence is not modified, so you will want to capture the result.

   Example:

       scala> val x = LinkedList(1)
       x: scala.collection.mutable.LinkedList[Int] = LinkedList(1)

       scala> val y = 2 +: x
       y: scala.collection.mutable.LinkedList[Int] = LinkedList(2, 1)

       scala> println(x)
       LinkedList(1)

   elem

     the prepended element

   returns

     a new mutable indexed sequence consisting of `elem` followed by all elements of this mutable indexed sequence.

   Definition Classes
     SeqLike → GenSeqLike
   Full Signature

   #### def +:[B >: Char, That](elem: B)(implicit bf: CanBuildFrom[Array[Char], B, That]): That

8. #### def ->[B](y: B): (ofChar, B)

   Implicit information
     This member is added by an implicit conversion from ofChar to ArrowAssoc[ofChar] performed by method any2ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

9. #### def /:[B](z: B)(op: (B, Char) ⇒ B): B

   Applies a binary operator to a start value and all elements of this mutable indexed sequence, going left to right.

   Applies a binary operator to a start value and all elements of this mutable indexed sequence, going left to right.

   Note: `/:` is alternate syntax for `foldLeft`; `z /: xs` is the same as `xs foldLeft z`.

   Examples:

   Note that the folding function used to compute b is equivalent to that used to compute c.

       scala> val a = LinkedList(1,2,3,4)
       a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

       scala> val b = (5 /: a)(_+_)
       b: Int = 15

       scala> val c = (5 /: a)((x,y) => x + y)
       c: Int = 15

   B

     the result type of the binary operator.

   z

     the start value.

   op

     the binary operator.

   returns

     the result of inserting `op` between consecutive elements of this mutable indexed sequence, going left to right with the start value `z` on the left:

         op(...op(op(z, x_1), x_2), ..., x_n)

     where `x1, ..., xn` are the elements of this mutable indexed sequence.

   Definition Classes
     TraversableOnce → GenTraversableOnce

10. #### def :+(elem: A): Array[A]

    [use case] A copy of this mutable indexed sequence with an element appended.

    [use case]

    A copy of this mutable indexed sequence with an element appended.

    A mnemonic for `+:` vs. `:+` is: the COLon goes on the COLlection side.

    Example:

        scala> import scala.collection.mutable.LinkedList
        import scala.collection.mutable.LinkedList

        scala> val a = LinkedList(1)
        a: scala.collection.mutable.LinkedList[Int] = LinkedList(1)

        scala> val b = a :+ 2
        b: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2)

        scala> println(a)
        LinkedList(1)

    elem

      the appended element

    returns

      a new mutable indexed sequence consisting of all elements of this mutable indexed sequence followed by `elem`.

    Definition Classes
      SeqLike → GenSeqLike
    Full Signature

    #### def :+[B >: Char, That](elem: B)(implicit bf: CanBuildFrom[Array[Char], B, That]): That

11. #### def :\[B](z: B)(op: (Char, B) ⇒ B): B

    Applies a binary operator to all elements of this mutable indexed sequence and a start value, going right to left.

    Applies a binary operator to all elements of this mutable indexed sequence and a start value, going right to left.

    Note: `:\` is alternate syntax for `foldRight`; `xs :\ z` is the same as `xs foldRight z`.

    Examples:

    Note that the folding function used to compute b is equivalent to that used to compute c.

        scala> val a = LinkedList(1,2,3,4)
        a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

        scala> val b = (a :\ 5)(_+_)
        b: Int = 15

        scala> val c = (a :\ 5)((x,y) => x + y)
        c: Int = 15

    B

      the result type of the binary operator.

    z

      the start value

    op

      the binary operator

    returns

      the result of inserting `op` between consecutive elements of this mutable indexed sequence, going right to left with the start value `z` on the right:

          op(x_1, op(x_2, ... op(x_n, z)...))

      where `x1, ..., xn` are the elements of this mutable indexed sequence.

    Definition Classes
      TraversableOnce → GenTraversableOnce

12. #### final def ==(arg0: Any): Boolean

    Test two objects for equality.

    Test two objects for equality. The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      Any

13. #### def addString(b: scala.StringBuilder): scala.StringBuilder

    Appends all elements of this mutable indexed sequence to a string builder.

    Appends all elements of this mutable indexed sequence to a string builder. The written text consists of the string representations (w.r.t. the method `toString`) of all elements of this mutable indexed sequence without any separator string.

    Example:

        scala> val a = LinkedList(1,2,3,4)
        a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

        scala> val b = new StringBuilder()
        b: StringBuilder =

        scala> val h = a.addString(b)
        b: StringBuilder = 1234

    b

      the string builder to which elements are appended.

    returns

      the string builder `b` to which elements were appended.

    Definition Classes
      TraversableOnce

14. #### def addString(b: scala.StringBuilder, sep: String): scala.StringBuilder

    Appends all elements of this mutable indexed sequence to a string builder using a separator string.

    Appends all elements of this mutable indexed sequence to a string builder using a separator string. The written text consists of the string representations (w.r.t. the method `toString`) of all elements of this mutable indexed sequence, separated by the string `sep`.

    Example:

        scala> val a = LinkedList(1,2,3,4)
        a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

        scala> val b = new StringBuilder()
        b: StringBuilder =

        scala> a.addString(b, ", ")
        res0: StringBuilder = 1, 2, 3, 4

    b

      the string builder to which elements are appended.

    sep

      the separator string.

    returns

      the string builder `b` to which elements were appended.

    Definition Classes
      TraversableOnce

15. #### def addString(b: scala.StringBuilder, start: String, sep: String, end: String): scala.StringBuilder

    Appends all elements of this mutable indexed sequence to a string builder using start, end, and separator strings.

    Appends all elements of this mutable indexed sequence to a string builder using start, end, and separator strings. The written text begins with the string `start` and ends with the string `end`. Inside, the string representations (w.r.t. the method `toString`) of all elements of this mutable indexed sequence are separated by the string `sep`.

    Example:

        scala> val a = LinkedList(1,2,3,4)
        a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

        scala> val b = new StringBuilder()
        b: StringBuilder =

        scala> a.addString(b, "LinkedList(", ", ", ")")
        res1: StringBuilder = LinkedList(1, 2, 3, 4)

    b

      the string builder to which elements are appended.

    start

      the starting string.

    sep

      the separator string.

    end

      the ending string.

    returns

      the string builder `b` to which elements were appended.

    Definition Classes
      TraversableOnce

16. #### def aggregate[B](z: B)(seqop: (B, Char) ⇒ B, combop: (B, B) ⇒ B): B

    Aggregates the results of applying an operator to subsequent elements.

    Aggregates the results of applying an operator to subsequent elements.

    This is a more general form of `fold` and `reduce`. It has similar semantics, but does not require the result to be a supertype of the element type. It traverses the elements in different partitions sequentially, using `seqop` to update the result, and then applies `combop` to results from different partitions. The implementation of this operation may operate on an arbitrary number of collection partitions, so `combop` may be invoked an arbitrary number of times.

    For example, one might want to process some elements and then produce a `Set`. In this case, `seqop` would process an element and append it to the list, while `combop` would concatenate two lists from different partitions together. The initial value `z` would be an empty set.

        pc.aggregate(Set[Int]())(_ += process(_), _ ++ _)

    Another example is calculating geometric mean from a collection of doubles (one would typically require big doubles for this).

    B

      the type of accumulated results

    z

      the initial value for the accumulated result of the partition - this will typically be the neutral element for the `seqop` operator (e.g. `Nil` for list concatenation or `0` for summation)

    seqop

      an operator used to accumulate results within a partition

    combop

      an associative operator used to combine results from different partitions

    Definition Classes
      TraversableOnce → GenTraversableOnce

17. #### def apply(index: Int): Char

    Selects an element by its index in the mutable indexed sequence.

    Selects an element by its index in the mutable indexed sequence.

    Example:

        scala> val x = LinkedList(1, 2, 3, 4, 5)
        x: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4, 5)

        scala> x(3)
        res1: Int = 4

    returns

      the element of this mutable indexed sequence at index `idx`, where `0` indicates the first element.

    Definition Classes
      ofChar → SeqLike → GenSeqLike
    Exceptions thrown
      `IndexOutOfBoundsException`

      if `idx` does not satisfy `0 <= idx < length`.

18. #### final def asInstanceOf[T0]: T0

    Cast the receiver object to be of type `T0`.

    Cast the receiver object to be of type `T0`.

    Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

    returns

      the receiver object.

    Definition Classes
      Any
    Exceptions thrown
      ClassCastException

      if the receiver object is not an instance of the erasure of type `T0`.

19. #### def asParIterable: ParIterable[Char]

    Implicit information
      This member is added by an implicit conversion from ofChar to TraversableOps[Char] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

20. #### def asParSeq: ParSeq[Char]

    Implicit information
      This member is added by an implicit conversion from ofChar to TraversableOps[Char] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

21. #### def canEqual(that: Any): Boolean

    Method called from equality methods, so that user-defined subclasses can refuse to be equal to other collections of the same kind.

    Method called from equality methods, so that user-defined subclasses can refuse to be equal to other collections of the same kind.

    that

      The object with which this mutable indexed sequence should be compared

    returns

      `true`, if this mutable indexed sequence can possibly equal `that`, `false` otherwise. The test takes into consideration only the run-time types of objects but ignores their elements.

    Definition Classes
      IterableLike → Equals

22. #### def collect[B](pf: PartialFunction[A, B]): Array[B]

    [use case] Builds a new collection by applying a partial function to all elements of this mutable indexed sequence on which the function is defined.

    [use case]

    Builds a new collection by applying a partial function to all elements of this mutable indexed sequence on which the function is defined.

    B

      the element type of the returned collection.

    pf

      the partial function which filters and maps the mutable indexed sequence.

    returns

      a new mutable indexed sequence resulting from applying the given partial function `pf` to each element on which it is defined and collecting the results. The order of the elements is preserved.

    Definition Classes
      TraversableLike → GenTraversableLike
    Full Signature

    #### def collect[B, That](pf: PartialFunction[Char, B])(implicit bf: CanBuildFrom[Array[Char], B, That]): That

23. #### def collectFirst[B](pf: PartialFunction[Char, B]): Option[B]

    Finds the first element of the mutable indexed sequence for which the given partial function is defined, and applies the partial function to it.

    Finds the first element of the mutable indexed sequence for which the given partial function is defined, and applies the partial function to it.

    pf

      the partial function

    returns

      an option value containing pf applied to the first value for which it is defined, or `None` if none exists.

    Definition Classes
      TraversableOnce
    Example:

    1. `Seq("a", 1, 5L).collectFirst({ case x: Int => x*10 }) = Some(10)`

24. #### def combinations(n: Int): Iterator[Array[Char]]

    Iterates over combinations.

    Iterates over combinations.

    returns

      An Iterator which traverses the possible n-element combinations of this mutable indexed sequence.

    Definition Classes
      SeqLike
    Example:

    1. `"abbbc".combinations(2) = Iterator(ab, ac, bb, bc)`

25. #### def contains(elem: Any): Boolean

    Tests whether this mutable indexed sequence contains a given value as an element.

    Tests whether this mutable indexed sequence contains a given value as an element.

    elem

      the element to test.

    returns

      `true` if this mutable indexed sequence has an element that is equal (as determined by `==`) to `elem`, `false` otherwise.

    Definition Classes
      SeqLike

26. #### def containsSlice[B](that: GenSeq[B]): Boolean

    Tests whether this mutable indexed sequence contains a given sequence as a slice.

    Tests whether this mutable indexed sequence contains a given sequence as a slice.

    that

      the sequence to test

    returns

      `true` if this mutable indexed sequence contains a slice with the same elements as `that`, otherwise `false`.

    Definition Classes
      SeqLike

27. #### def copyToArray(xs: Array[A], start: Int, len: Int): Unit

    [use case] Copies elements of this mutable indexed sequence to an array.

    [use case]

    Copies elements of this mutable indexed sequence to an array. Fills the given array `xs` with at most `len` elements of this mutable indexed sequence, starting at position `start`. Copying will stop once either the end of the current mutable indexed sequence is reached, or the end of the array is reached, or `len` elements have been copied.

    xs

      the array to fill.

    start

      the starting index.

    len

      the maximal number of elements to copy.

    Definition Classes
      ArrayOps → IndexedSeqOptimized → IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce
    Full Signature

    #### def copyToArray[U >: Char](xs: Array[U], start: Int, len: Int): Unit

28. #### def copyToArray(xs: Array[A]): Unit

    [use case] Copies values of this mutable indexed sequence to an array.

    [use case]

    Copies values of this mutable indexed sequence to an array. Fills the given array `xs` with values of this mutable indexed sequence. Copying will stop once either the end of the current mutable indexed sequence is reached, or the end of the array is reached.

    xs

      the array to fill.

    Definition Classes
      TraversableOnce → GenTraversableOnce
    Full Signature

    #### def copyToArray[B >: Char](xs: Array[B]): Unit

29. #### def copyToArray(xs: Array[A], start: Int): Unit

    [use case] Copies values of this mutable indexed sequence to an array.

    [use case]

    Copies values of this mutable indexed sequence to an array. Fills the given array `xs` with values of this mutable indexed sequence, beginning at index `start`. Copying will stop once either the end of the current mutable indexed sequence is reached, or the end of the array is reached.

    xs

      the array to fill.

    start

      the starting index.

    Definition Classes
      TraversableOnce → GenTraversableOnce
    Full Signature

    #### def copyToArray[B >: Char](xs: Array[B], start: Int): Unit

30. #### def copyToBuffer[B >: Char](dest: Buffer[B]): Unit

    Copies all elements of this mutable indexed sequence to a buffer.

    Copies all elements of this mutable indexed sequence to a buffer.

    dest

      The buffer to which elements are copied.

    Definition Classes
      TraversableOnce

31. #### def corresponds[B](that: GenSeq[B])(p: (Char, B) ⇒ Boolean): Boolean

    Tests whether every element of this mutable indexed sequence relates to the corresponding element of another sequence by satisfying a test predicate.

    Tests whether every element of this mutable indexed sequence relates to the corresponding element of another sequence by satisfying a test predicate.

    B

      the type of the elements of `that`

    that

      the other sequence

    p

      the test predicate, which relates elements from both sequences

    returns

      `true` if both sequences have the same length and `p(x, y)` is `true` for all corresponding elements `x` of this mutable indexed sequence and `y` of `that`, otherwise `false`.

    Definition Classes
      SeqLike → GenSeqLike

32. #### def count(p: (Char) ⇒ Boolean): Int

    Counts the number of elements in the mutable indexed sequence which satisfy a predicate.

    Counts the number of elements in the mutable indexed sequence which satisfy a predicate.

    p

      the predicate used to test elements.

    returns

      the number of elements satisfying the predicate `p`.

    Definition Classes
      TraversableOnce → GenTraversableOnce

33. #### def deep: collection.IndexedSeq[Any]

    Creates a possible nested `IndexedSeq` which consists of all the elements of this array.

    Creates a possible nested `IndexedSeq` which consists of all the elements of this array. If the elements are arrays themselves, the `deep` transformation is applied recursively to them. The `stringPrefix` of the `IndexedSeq` is "Array", hence the `IndexedSeq` prints like an array with all its elements shown, and the same recursively for any subarrays.

    Example:

        Array(Array(1, 2), Array(3, 4)).deep.toString

    prints: `Array(Array(1, 2), Array(3, 4))`

    returns

      An possibly nested indexed sequence of consisting of all the elements of the array.

    Definition Classes
      ArrayLike

34. #### def diff(that: collection.Seq[Char]): Array[Char]

    [use case] Computes the multiset difference between this mutable indexed sequence and another sequence.

    [use case]

    Computes the multiset difference between this mutable indexed sequence and another sequence.

    that

      the sequence of elements to remove

    returns

      a new mutable indexed sequence which contains all elements of this mutable indexed sequence except some of occurrences of elements that also appear in `that`. If an element value `x` appears n times in `that`, then the first n occurrences of `x` will not form part of the result, but any following occurrences will.

    Definition Classes
      SeqLike → GenSeqLike
    Full Signature

    #### def diff[B >: Char](that: GenSeq[B]): Array[Char]

35. #### def distinct: Array[Char]

    Builds a new mutable indexed sequence from this mutable indexed sequence without any duplicate elements.

    Builds a new mutable indexed sequence from this mutable indexed sequence without any duplicate elements.

    returns

      A new mutable indexed sequence which contains the first occurrence of every element of this mutable indexed sequence.

    Definition Classes
      SeqLike → GenSeqLike

36. #### def drop(n: Int): Array[Char]

    Selects all elements except first n ones.

    Selects all elements except first n ones.

    n

      the number of elements to drop from this mutable indexed sequence.

    returns

      a mutable indexed sequence consisting of all elements of this mutable indexed sequence except the first `n` ones, or else the empty mutable indexed sequence, if this mutable indexed sequence has less than `n` elements.

    Definition Classes
      IndexedSeqOptimized → IterableLike → TraversableLike → GenTraversableLike

37. #### def dropRight(n: Int): Array[Char]

    Selects all elements except last n ones.

    Selects all elements except last n ones.

    n

      The number of elements to take

    returns

      a mutable indexed sequence consisting of all elements of this mutable indexed sequence except the last `n` ones, or else the empty mutable indexed sequence, if this mutable indexed sequence has less than `n` elements.

    Definition Classes
      IndexedSeqOptimized → IterableLike

38. #### def dropWhile(p: (Char) ⇒ Boolean): Array[Char]

    Drops longest prefix of elements that satisfy a predicate.

    Drops longest prefix of elements that satisfy a predicate.

    returns

      the longest suffix of this mutable indexed sequence whose first element does not satisfy the predicate `p`.

    Definition Classes
      IndexedSeqOptimized → TraversableLike → GenTraversableLike

39. #### def endsWith[B](that: GenSeq[B]): Boolean

    Tests whether this mutable indexed sequence ends with the given sequence.

    Tests whether this mutable indexed sequence ends with the given sequence.

    that

      the sequence to test

    returns

      `true` if this mutable indexed sequence has `that` as a suffix, `false` otherwise.

    Definition Classes
      IndexedSeqOptimized → SeqLike → GenSeqLike

40. #### def ensuring(cond: (ofChar) ⇒ Boolean, msg: ⇒ Any): ofChar

    Implicit information
      This member is added by an implicit conversion from ofChar to Ensuring[ofChar] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

41. #### def ensuring(cond: (ofChar) ⇒ Boolean): ofChar

    Implicit information
      This member is added by an implicit conversion from ofChar to Ensuring[ofChar] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

42. #### def ensuring(cond: Boolean, msg: ⇒ Any): ofChar

    Implicit information
      This member is added by an implicit conversion from ofChar to Ensuring[ofChar] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

43. #### def ensuring(cond: Boolean): ofChar

    Implicit information
      This member is added by an implicit conversion from ofChar to Ensuring[ofChar] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

44. #### def exists(p: (Char) ⇒ Boolean): Boolean

    Tests whether a predicate holds for some of the elements of this mutable indexed sequence.

    Tests whether a predicate holds for some of the elements of this mutable indexed sequence.

    p

      the predicate used to test elements.

    returns

      `true` if the given predicate `p` holds for some of the elements of this mutable indexed sequence, otherwise `false`.

    Definition Classes
      IndexedSeqOptimized → IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce

45. #### def filter(p: (Char) ⇒ Boolean): Array[Char]

    Selects all elements of this mutable indexed sequence which satisfy a predicate.

    Selects all elements of this mutable indexed sequence which satisfy a predicate.

    p

      the predicate used to test elements.

    returns

      a new mutable indexed sequence consisting of all elements of this mutable indexed sequence that satisfy the given predicate `p`. The order of the elements is preserved.

    Definition Classes
      TraversableLike → GenTraversableLike

46. #### def filterNot(p: (Char) ⇒ Boolean): Array[Char]

    Selects all elements of this mutable indexed sequence which do not satisfy a predicate.

    Selects all elements of this mutable indexed sequence which do not satisfy a predicate.

    p

      the predicate used to test elements.

    returns

      a new mutable indexed sequence consisting of all elements of this mutable indexed sequence that do not satisfy the given predicate `p`. The order of the elements is preserved.

    Definition Classes
      TraversableLike → GenTraversableLike

47. #### def find(p: (Char) ⇒ Boolean): Option[Char]

    Finds the first element of the mutable indexed sequence satisfying a predicate, if any.

    Finds the first element of the mutable indexed sequence satisfying a predicate, if any.

    p

      the predicate used to test elements.

    returns

      an option value containing the first element in the mutable indexed sequence that satisfies `p`, or `None` if none exists.

    Definition Classes
      IndexedSeqOptimized → IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce

48. #### def flatMap[B](f: (A) ⇒ GenTraversableOnce[B]): Array[B]

    [use case] Builds a new collection by applying a function to all elements of this mutable indexed sequence and using the elements of the resulting collections.

    [use case]

    Builds a new collection by applying a function to all elements of this mutable indexed sequence and using the elements of the resulting collections.

    For example:

        def getWords(lines: Seq[String]): Seq[String] = lines flatMap (line => line split "\\W+")

    The type of the resulting collection is guided by the static type of mutable indexed sequence. This might cause unexpected results sometimes. For example:

        // lettersOf will return a Seq[Char] of likely repeated letters, instead of a Set
        def lettersOf(words: Seq[String]) = words flatMap (word => word.toSet)

        // lettersOf will return a Set[Char], not a Seq
        def lettersOf(words: Seq[String]) = words.toSet flatMap (word => word.toSeq)

        // xs will be a an Iterable[Int]
        val xs = Map("a" -> List(11,111), "b" -> List(22,222)).flatMap(_._2)

        // ys will be a Map[Int, Int]
        val ys = Map("a" -> List(1 -> 11,1 -> 111), "b" -> List(2 -> 22,2 -> 222)).flatMap(_._2)

    B

      the element type of the returned collection.

    f

      the function to apply to each element.

    returns

      a new mutable indexed sequence resulting from applying the given collection-valued function `f` to each element of this mutable indexed sequence and concatenating the results.

    Definition Classes
      TraversableLike → GenTraversableLike → FilterMonadic
    Full Signature

    #### def flatMap[B, That](f: (Char) ⇒ GenTraversableOnce[B])(implicit bf: CanBuildFrom[Array[Char], B, That]): That

49. #### def flatten[U](implicit asTrav: (Char) ⇒ collection.Traversable[U], m: ClassTag[U]): Array[U]

    Flattens a two-dimensional array by concatenating all its rows into a single array.

    Flattens a two-dimensional array by concatenating all its rows into a single array.

    U

      Type of row elements.

    asTrav

      A function that converts elements of this array to rows - arrays of type `U`.

    returns

      An array obtained by concatenating rows of this array.

    Definition Classes
      ArrayOps

50. #### def fold[A1 >: Char](z: A1)(op: (A1, A1) ⇒ A1): A1

    Folds the elements of this mutable indexed sequence using the specified associative binary operator.

    Folds the elements of this mutable indexed sequence using the specified associative binary operator.

    The order in which operations are performed on elements is unspecified and may be nondeterministic.

    A1

      a type parameter for the binary operator, a supertype of `A`.

    z

      a neutral element for the fold operation; may be added to the result an arbitrary number of times, and must not change the result (e.g., `Nil` for list concatenation, 0 for addition, or 1 for multiplication.)

    op

      a binary operator that must be associative

    returns

      the result of applying fold operator `op` between all the elements and `z`

    Definition Classes
      TraversableOnce → GenTraversableOnce

51. #### def foldLeft[B](z: B)(op: (B, Char) ⇒ B): B

    Applies a binary operator to a start value and all elements of this mutable indexed sequence, going left to right.

    Applies a binary operator to a start value and all elements of this mutable indexed sequence, going left to right.

    B

      the result type of the binary operator.

    z

      the start value.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this mutable indexed sequence, going left to right with the start value `z` on the left:

          op(...op(z, x_1), x_2, ..., x_n)

      where `x1, ..., xn` are the elements of this mutable indexed sequence.

    Definition Classes
      IndexedSeqOptimized → TraversableOnce → GenTraversableOnce

52. #### def foldRight[B](z: B)(op: (Char, B) ⇒ B): B

    Applies a binary operator to all elements of this mutable indexed sequence and a start value, going right to left.

    Applies a binary operator to all elements of this mutable indexed sequence and a start value, going right to left.

    B

      the result type of the binary operator.

    z

      the start value.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this mutable indexed sequence, going right to left with the start value `z` on the right:

          op(x_1, op(x_2, ... op(x_n, z)...))

      where `x1, ..., xn` are the elements of this mutable indexed sequence.

    Definition Classes
      IndexedSeqOptimized → IterableLike → TraversableOnce → GenTraversableOnce

53. #### def forall(p: (Char) ⇒ Boolean): Boolean

    Tests whether a predicate holds for all elements of this mutable indexed sequence.

    Tests whether a predicate holds for all elements of this mutable indexed sequence.

    p

      the predicate used to test elements.

    returns

      `true` if the given predicate `p` holds for all elements of this mutable indexed sequence, otherwise `false`.

    Definition Classes
      IndexedSeqOptimized → IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce

54. #### def foreach(f: (A) ⇒ Unit): Unit

    [use case] Applies a function `f` to all elements of this mutable indexed sequence.

    [use case]

    Applies a function `f` to all elements of this mutable indexed sequence.

    Note: this method underlies the implementation of most other bulk operations. Subclasses should re-implement this method if a more efficient implementation exists.

    f

      the function that is applied for its side-effect to every element. The result of function `f` is discarded.

    Definition Classes
      IndexedSeqOptimized → IterableLike → TraversableLike → GenTraversableLike → TraversableOnce → GenTraversableOnce → FilterMonadic
    Full Signature

    #### def foreach[U](f: (Char) ⇒ U): Unit

55. #### def formatted(fmtstr: String): String

    Returns string formatted according to given `format` string.

    Returns string formatted according to given `format` string. Format strings are as for `String.format` (@see java.lang.String.format).

    Implicit information
      This member is added by an implicit conversion from ofChar to StringFormat performed by method any2stringfmt in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

56. #### def getClass(): Class[_ <: AnyVal]

    Returns the runtime class representation of the object.

    Returns the runtime class representation of the object.

    returns

      a class object corresponding to the runtime type of the receiver.

    Definition Classes
      AnyVal → Any

57. #### def groupBy[K](f: (Char) ⇒ K): immutable.Map[K, Array[Char]]

    Partitions this mutable indexed sequence into a map of mutable indexed sequences according to some discriminator function.

    Partitions this mutable indexed sequence into a map of mutable indexed sequences according to some discriminator function.

    Note: this method is not re-implemented by views. This means when applied to a view it will always force the view and return a new mutable indexed sequence.

    K

      the type of keys returned by the discriminator function.

    f

      the discriminator function.

    returns

      A map from keys to mutable indexed sequences such that the following invariant holds:

          (xs partition f)(k) = xs filter (x => f(x) == k)

      That is, every key `k` is bound to a mutable indexed sequence of those elements `x` for which `f(x)` equals `k`.

    Definition Classes
      TraversableLike → GenTraversableLike

58. #### def grouped(size: Int): Iterator[Array[Char]]

    Partitions elements in fixed size mutable indexed sequences.

    Partitions elements in fixed size mutable indexed sequences.

    size

      the number of elements per group

    returns

      An iterator producing mutable indexed sequences of size `size`, except the last will be truncated if the elements don't divide evenly.

    Definition Classes
      IterableLike
    See also

      scala.collection.Iterator, method `grouped`

59. #### def hasDefiniteSize: Boolean

    Tests whether this mutable indexed sequence is known to have a finite size.

    Tests whether this mutable indexed sequence is known to have a finite size. All strict collections are known to have finite size. For a non-strict collection such as `Stream`, the predicate returns `true` if all elements have been computed. It returns `false` if the stream is not yet evaluated to the end.

    Note: many collection methods will not work on collections of infinite sizes.

    returns

      `true` if this collection is known to have finite size, `false` otherwise.

    Definition Classes
      TraversableLike → TraversableOnce → GenTraversableOnce

60. #### def head: Char

    Selects the first element of this mutable indexed sequence.

    Selects the first element of this mutable indexed sequence.

    returns

      the first element of this mutable indexed sequence.

    Definition Classes
      IndexedSeqOptimized → IterableLike → TraversableLike → GenTraversableLike
    Exceptions thrown
      `NoSuchElementException`

      if the mutable indexed sequence is empty.

61. #### def headOption: Option[Char]

    Optionally selects the first element.

    Optionally selects the first element.

    returns

      the first element of this mutable indexed sequence if it is nonempty, `None` if it is empty.

    Definition Classes
      TraversableLike → GenTraversableLike

62. #### def ifParSeq[R](isbody: (ParSeq[Char]) ⇒ R): (TraversableOps[Char])#Otherwise[R]

    Implicit information
      This member is added by an implicit conversion from ofChar to TraversableOps[Char] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

63. #### def indexOf(elem: Char, from: Int): Int

    [use case] Finds index of first occurrence of some value in this mutable indexed sequence after or at some start index.

    [use case]

    Finds index of first occurrence of some value in this mutable indexed sequence after or at some start index.

    elem

      the element value to search for.

    from

      the start index

    returns

      the index `>= from` of the first element of this mutable indexed sequence that is equal (as determined by `==`) to `elem`, or `-1`, if none exists.

    Definition Classes
      GenSeqLike
    Full Signature

    #### def indexOf[B >: Char](elem: B, from: Int): Int

64. #### def indexOf(elem: Char): Int

    [use case] Finds index of first occurrence of some value in this mutable indexed sequence.

    [use case]

    Finds index of first occurrence of some value in this mutable indexed sequence.

    elem

      the element value to search for.

    returns

      the index of the first element of this mutable indexed sequence that is equal (as determined by `==`) to `elem`, or `-1`, if none exists.

    Definition Classes
      GenSeqLike
    Full Signature

    #### def indexOf[B >: Char](elem: B): Int

65. #### def indexOfSlice[B >: Char](that: GenSeq[B], from: Int): Int

    Finds first index after or at a start index where this mutable indexed sequence contains a given sequence as a slice.

    Finds first index after or at a start index where this mutable indexed sequence contains a given sequence as a slice.

    that

      the sequence to test

    from

      the start index

    returns

      the first index `>= from` such that the elements of this mutable indexed sequence starting at this index match the elements of sequence `that`, or `-1` of no such subsequence exists.

    Definition Classes
      SeqLike

66. #### def indexOfSlice[B >: Char](that: GenSeq[B]): Int

    Finds first index where this mutable indexed sequence contains a given sequence as a slice.

    Finds first index where this mutable indexed sequence contains a given sequence as a slice.

    that

      the sequence to test

    returns

      the first index such that the elements of this mutable indexed sequence starting at this index match the elements of sequence `that`, or `-1` of no such subsequence exists.

    Definition Classes
      SeqLike

67. #### def indexWhere(p: (Char) ⇒ Boolean, from: Int): Int

    Finds index of the first element satisfying some predicate after or at some start index.

    Finds index of the first element satisfying some predicate after or at some start index.

    p

      the predicate used to test elements.

    from

      the start index

    returns

      the index `>= from` of the first element of this mutable indexed sequence that satisfies the predicate `p`, or `-1`, if none exists.

    Definition Classes
      IndexedSeqOptimized → SeqLike → GenSeqLike

68. #### def indexWhere(p: (Char) ⇒ Boolean): Int

    Finds index of first element satisfying some predicate.

    Finds index of first element satisfying some predicate.

    p

      the predicate used to test elements.

    returns

      the index of the first element of this mutable indexed sequence that satisfies the predicate `p`, or `-1`, if none exists.

    Definition Classes
      GenSeqLike

69. #### def indices: immutable.Range

    Produces the range of all indices of this sequence.

    Produces the range of all indices of this sequence.

    returns

      a `Range` value from `0` to one less than the length of this mutable indexed sequence.

    Definition Classes
      SeqLike

70. #### def init: Array[Char]

    Selects all elements except the last.

    Selects all elements except the last.

    returns

      a mutable indexed sequence consisting of all elements of this mutable indexed sequence except the last one.

    Definition Classes
      IndexedSeqOptimized → TraversableLike → GenTraversableLike
    Exceptions thrown
      `UnsupportedOperationException`

      if the mutable indexed sequence is empty.

71. #### def inits: Iterator[Array[Char]]

    Iterates over the inits of this mutable indexed sequence.

    Iterates over the inits of this mutable indexed sequence. The first value will be this mutable indexed sequence and the final one will be an empty mutable indexed sequence, with the intervening values the results of successive applications of `init`.

    returns

      an iterator over all the inits of this mutable indexed sequence

    Definition Classes
      TraversableLike
    Example:

    1. `List(1,2,3).inits = Iterator(List(1,2,3), List(1,2), List(1), Nil)`

72. #### def intersect(that: collection.Seq[Char]): Array[Char]

    [use case] Computes the multiset intersection between this mutable indexed sequence and another sequence.

    [use case]

    Computes the multiset intersection between this mutable indexed sequence and another sequence.

    that

      the sequence of elements to intersect with.

    returns

      a new mutable indexed sequence which contains all elements of this mutable indexed sequence which also appear in `that`. If an element value `x` appears n times in `that`, then the first n occurrences of `x` will be retained in the result, but any following occurrences will be omitted.

    Definition Classes
      SeqLike → GenSeqLike
    Full Signature

    #### def intersect[B >: Char](that: GenSeq[B]): Array[Char]

73. #### def isDefinedAt(idx: Int): Boolean

    Tests whether this mutable indexed sequence contains given index.

    Tests whether this mutable indexed sequence contains given index.

    The implementations of methods `apply` and `isDefinedAt` turn a `Seq[A]` into a `PartialFunction[Int, A]`.

    idx

      the index to test

    returns

      `true` if this mutable indexed sequence contains an element at position `idx`, `false` otherwise.

    Definition Classes
      GenSeqLike

74. #### def isEmpty: Boolean

    Tests whether this mutable indexed sequence is empty.

    Tests whether this mutable indexed sequence is empty.

    returns

      `true` if the mutable indexed sequence contain no elements, `false` otherwise.

    Definition Classes
      IndexedSeqOptimized → SeqLike → IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce

75. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

76. #### def isParIterable: Boolean

    Implicit information
      This member is added by an implicit conversion from ofChar to TraversableOps[Char] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

77. #### def isParSeq: Boolean

    Implicit information
      This member is added by an implicit conversion from ofChar to TraversableOps[Char] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

78. #### def isParallel: Boolean

    Implicit information
      This member is added by an implicit conversion from ofChar to TraversableOps[Char] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

79. #### final def isTraversableAgain: Boolean

    Tests whether this mutable indexed sequence can be repeatedly traversed.

    Tests whether this mutable indexed sequence can be repeatedly traversed.

    returns

      `true`

    Definition Classes
      TraversableLike → GenTraversableLike → GenTraversableOnce

80. #### def iterator: Iterator[Char]

    Creates a new iterator over all elements contained in this iterable object.

    Creates a new iterator over all elements contained in this iterable object.

    returns

      the new iterator

    Definition Classes
      IndexedSeqLike → IterableLike → GenIterableLike

81. #### def last: Char

    Selects the last element.

    Selects the last element.

    returns

      The last element of this mutable indexed sequence.

    Definition Classes
      IndexedSeqOptimized → TraversableLike → GenTraversableLike
    Exceptions thrown
      NoSuchElementException

      If the mutable indexed sequence is empty.

82. #### def lastIndexOf(elem: Char, end: Int): Int

    [use case] Finds index of last occurrence of some value in this mutable indexed sequence before or at a given end index.

    [use case]

    Finds index of last occurrence of some value in this mutable indexed sequence before or at a given end index.

    elem

      the element value to search for.

    end

      the end index.

    returns

      the index `<= end` of the last element of this mutable indexed sequence that is equal (as determined by `==`) to `elem`, or `-1`, if none exists.

    Definition Classes
      GenSeqLike
    Full Signature

    #### def lastIndexOf[B >: Char](elem: B, end: Int): Int

83. #### def lastIndexOf(elem: Char): Int

    [use case] Finds index of last occurrence of some value in this mutable indexed sequence.

    [use case]

    Finds index of last occurrence of some value in this mutable indexed sequence.

    elem

      the element value to search for.

    returns

      the index of the last element of this mutable indexed sequence that is equal (as determined by `==`) to `elem`, or `-1`, if none exists.

    Definition Classes
      GenSeqLike
    Full Signature

    #### def lastIndexOf[B >: Char](elem: B): Int

84. #### def lastIndexOfSlice[B >: Char](that: GenSeq[B], end: Int): Int

    Finds last index before or at a given end index where this mutable indexed sequence contains a given sequence as a slice.

    Finds last index before or at a given end index where this mutable indexed sequence contains a given sequence as a slice.

    that

      the sequence to test

    end

      the end index

    returns

      the last index `<= end` such that the elements of this mutable indexed sequence starting at this index match the elements of sequence `that`, or `-1` of no such subsequence exists.

    Definition Classes
      SeqLike

85. #### def lastIndexOfSlice[B >: Char](that: GenSeq[B]): Int

    Finds last index where this mutable indexed sequence contains a given sequence as a slice.

    Finds last index where this mutable indexed sequence contains a given sequence as a slice.

    that

      the sequence to test

    returns

      the last index such that the elements of this mutable indexed sequence starting a this index match the elements of sequence `that`, or `-1` of no such subsequence exists.

    Definition Classes
      SeqLike

86. #### def lastIndexWhere(p: (Char) ⇒ Boolean, end: Int): Int

    Finds index of last element satisfying some predicate before or at given end index.

    Finds index of last element satisfying some predicate before or at given end index.

    p

      the predicate used to test elements.

    returns

      the index `<= end` of the last element of this mutable indexed sequence that satisfies the predicate `p`, or `-1`, if none exists.

    Definition Classes
      IndexedSeqOptimized → SeqLike → GenSeqLike

87. #### def lastIndexWhere(p: (Char) ⇒ Boolean): Int

    Finds index of last element satisfying some predicate.

    Finds index of last element satisfying some predicate.

    p

      the predicate used to test elements.

    returns

      the index of the last element of this mutable indexed sequence that satisfies the predicate `p`, or `-1`, if none exists.

    Definition Classes
      GenSeqLike

88. #### def lastOption: Option[Char]

    Optionally selects the last element.

    Optionally selects the last element.

    returns

      the last element of this mutable indexed sequence$ if it is nonempty, `None` if it is empty.

    Definition Classes
      TraversableLike → GenTraversableLike

89. #### def length: Int

    The length of the mutable indexed sequence.

    The length of the mutable indexed sequence.

    Note: `xs.length` and `xs.size` yield the same result.

    returns

      the number of elements in this mutable indexed sequence.

    Definition Classes
      ofChar → SeqLike → GenSeqLike

90. #### def lengthCompare(len: Int): Int

    Compares the length of this mutable indexed sequence to a test value.

    Compares the length of this mutable indexed sequence to a test value.

    len

      the test value that gets compared with the length.

    returns

      A value `x` where

          x <  0       if this.length <  len
          x == 0       if this.length == len
          x >  0       if this.length >  len

      The method as implemented here does not call `length` directly; its running time is `O(length min len)` instead of `O(length)`. The method should be overwritten if computing `length` is cheap.

    Definition Classes
      IndexedSeqOptimized → SeqLike

91. #### def map[B](f: (A) ⇒ B): Array[B]

    [use case] Builds a new collection by applying a function to all elements of this mutable indexed sequence.

    [use case]

    Builds a new collection by applying a function to all elements of this mutable indexed sequence.

    B

      the element type of the returned collection.

    f

      the function to apply to each element.

    returns

      a new mutable indexed sequence resulting from applying the given function `f` to each element of this mutable indexed sequence and collecting the results.

    Definition Classes
      TraversableLike → GenTraversableLike → FilterMonadic
    Full Signature

    #### def map[B, That](f: (Char) ⇒ B)(implicit bf: CanBuildFrom[Array[Char], B, That]): That

92. #### def max: A

    [use case] Finds the largest element.

    [use case]

    Finds the largest element.

    returns

      the largest element of this mutable indexed sequence.

    Definition Classes
      TraversableOnce → GenTraversableOnce
    Full Signature

    #### def max[B >: Char](implicit cmp: Ordering[B]): Char

93. #### def maxBy[B](f: (Char) ⇒ B)(implicit cmp: Ordering[B]): Char

    Definition Classes
      TraversableOnce → GenTraversableOnce

94. #### def min: A

    [use case] Finds the smallest element.

    [use case]

    Finds the smallest element.

    returns

      the smallest element of this mutable indexed sequence

    Definition Classes
      TraversableOnce → GenTraversableOnce
    Full Signature

    #### def min[B >: Char](implicit cmp: Ordering[B]): Char

95. #### def minBy[B](f: (Char) ⇒ B)(implicit cmp: Ordering[B]): Char

    Definition Classes
      TraversableOnce → GenTraversableOnce

96. #### def mkString: String

    Displays all elements of this mutable indexed sequence in a string.

    Displays all elements of this mutable indexed sequence in a string.

    returns

      a string representation of this mutable indexed sequence. In the resulting string the string representations (w.r.t. the method `toString`) of all elements of this mutable indexed sequence follow each other without any separator string.

    Definition Classes
      TraversableOnce → GenTraversableOnce

97. #### def mkString(sep: String): String

    Displays all elements of this mutable indexed sequence in a string using a separator string.

    Displays all elements of this mutable indexed sequence in a string using a separator string.

    sep

      the separator string.

    returns

      a string representation of this mutable indexed sequence. In the resulting string the string representations (w.r.t. the method `toString`) of all elements of this mutable indexed sequence are separated by the string `sep`.

    Definition Classes
      TraversableOnce → GenTraversableOnce
    Example:

    1. `List(1, 2, 3).mkString("|") = "1|2|3"`

98. #### def mkString(start: String, sep: String, end: String): String

    Displays all elements of this mutable indexed sequence in a string using start, end, and separator strings.

    Displays all elements of this mutable indexed sequence in a string using start, end, and separator strings.

    start

      the starting string.

    sep

      the separator string.

    end

      the ending string.

    returns

      a string representation of this mutable indexed sequence. The resulting string begins with the string `start` and ends with the string `end`. Inside, the string representations (w.r.t. the method `toString`) of all elements of this mutable indexed sequence are separated by the string `sep`.

    Definition Classes
      TraversableOnce → GenTraversableOnce
    Example:

    1. `List(1, 2, 3).mkString("(", "; ", ")") = "(1; 2; 3)"`

99. #### def newBuilder: ArrayBuilder.ofChar

    Creates a new builder for this collection type.

    Creates a new builder for this collection type.

    Attributes
      protected[this]
    Definition Classes
      ofChar → TraversableLike → HasNewBuilder

100. #### def nonEmpty: Boolean

     Tests whether the mutable indexed sequence is not empty.

     Tests whether the mutable indexed sequence is not empty.

     returns

       `true` if the mutable indexed sequence contains at least one element, `false` otherwise.

     Definition Classes
       TraversableOnce → GenTraversableOnce

101. #### def padTo(len: Int, elem: A): Array[A]

     [use case] A copy of this mutable indexed sequence with an element value appended until a given target length is reached.

     [use case]

     A copy of this mutable indexed sequence with an element value appended until a given target length is reached.

     len

       the target length

     elem

       the padding value

     returns

       a new mutable indexed sequence consisting of all elements of this mutable indexed sequence followed by the minimal number of occurrences of `elem` so that the resulting mutable indexed sequence has a length of at least `len`.

     Definition Classes
       SeqLike → GenSeqLike
     Full Signature

     #### def padTo[B >: Char, That](len: Int, elem: B)(implicit bf: CanBuildFrom[Array[Char], B, That]): That

102. #### def par: ParArray[Char]

     Returns a parallel implementation of this collection.

     Returns a parallel implementation of this collection.

     For most collection types, this method creates a new parallel collection by copying all the elements. For these collection, `par` takes linear time. Mutable collections in this category do not produce a mutable parallel collection that has the same underlying dataset, so changes in one collection will not be reflected in the other one.

     Specific collections (e.g. `ParArray` or `mutable.ParHashMap`) override this default behaviour by creating a parallel collection which shares the same underlying dataset. For these collections, `par` takes constant or sublinear time.

     All parallel collections return a reference to themselves.

     returns

       a parallel implementation of this collection

     Definition Classes
       ArrayOps → CustomParallelizable → Parallelizable

103. #### def parCombiner: Combiner[Char, ParArray[Char]]

     The default `par` implementation uses the combiner provided by this method to create a new parallel collection.

     The default `par` implementation uses the combiner provided by this method to create a new parallel collection.

     returns

       a combiner for the parallel collection of type `ParRepr`

     Attributes
       protected[this]
     Definition Classes
       CustomParallelizable → Parallelizable

104. #### def partition(p: (Char) ⇒ Boolean): (Array[Char], Array[Char])

     Partitions this mutable indexed sequence in two mutable indexed sequences according to a predicate.

     Partitions this mutable indexed sequence in two mutable indexed sequences according to a predicate.

     p

       the predicate on which to partition.

     returns

       a pair of mutable indexed sequences: the first mutable indexed sequence consists of all elements that satisfy the predicate `p` and the second mutable indexed sequence consists of all elements that don't. The relative order of the elements in the resulting mutable indexed sequences is the same as in the original mutable indexed sequence.

     Definition Classes
       TraversableLike → GenTraversableLike

105. #### def patch(from: Int, that: GenSeq[A], replaced: Int): Array[A]

     [use case] Produces a new mutable indexed sequence where a slice of elements in this mutable indexed sequence is replaced by another sequence.

     [use case]

     Produces a new mutable indexed sequence where a slice of elements in this mutable indexed sequence is replaced by another sequence.

     from

       the index of the first replaced element

     replaced

       the number of elements to drop in the original mutable indexed sequence

     returns

       a new mutable indexed sequence consisting of all elements of this mutable indexed sequence except that `replaced` elements starting from `from` are replaced by `patch`.

     Definition Classes
       SeqLike → GenSeqLike
     Full Signature

     #### def patch[B >: Char, That](from: Int, patch: GenSeq[B], replaced: Int)(implicit bf: CanBuildFrom[Array[Char], B, That]): That

106. #### def permutations: Iterator[Array[Char]]

     Iterates over distinct permutations.

     Iterates over distinct permutations.

     returns

       An Iterator which traverses the distinct permutations of this mutable indexed sequence.

     Definition Classes
       SeqLike
     Example:

     1. `"abb".permutations = Iterator(abb, bab, bba)`

107. #### def prefixLength(p: (Char) ⇒ Boolean): Int

     Returns the length of the longest prefix whose elements all satisfy some predicate.

     Returns the length of the longest prefix whose elements all satisfy some predicate.

     p

       the predicate used to test elements.

     returns

       the length of the longest prefix of this mutable indexed sequence such that every element of the segment satisfies the predicate `p`.

     Definition Classes
       GenSeqLike

108. #### def product: A

     [use case] Multiplies up the elements of this collection.

     [use case]

     Multiplies up the elements of this collection.

     returns

       the product of all elements in this mutable indexed sequence of numbers of type `Int`. Instead of `Int`, any other type `T` with an implicit `Numeric[T]` implementation can be used as element type of the mutable indexed sequence and as result type of `product`. Examples of such types are: `Long`, `Float`, `Double`, `BigInt`.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Full Signature

     #### def product[B >: Char](implicit num: Numeric[B]): B

109. #### def reduce[A1 >: Char](op: (A1, A1) ⇒ A1): A1

     Reduces the elements of this mutable indexed sequence using the specified associative binary operator.

     Reduces the elements of this mutable indexed sequence using the specified associative binary operator.

     The order in which operations are performed on elements is unspecified and may be nondeterministic.

     A1

       A type parameter for the binary operator, a supertype of `A`.

     op

       A binary operator that must be associative.

     returns

       The result of applying reduce operator `op` between all the elements if the mutable indexed sequence is nonempty.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Exceptions thrown
       UnsupportedOperationException

       if this mutable indexed sequence is empty.

110. #### def reduceLeft[B >: Char](op: (B, Char) ⇒ B): B

     Applies a binary operator to all elements of this mutable indexed sequence, going left to right.

     Applies a binary operator to all elements of this mutable indexed sequence, going left to right.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       the result of inserting `op` between consecutive elements of this mutable indexed sequence, going left to right:

           op( op( ... op(x_1, x_2) ..., x_{n-1}), x_n)

       where `x1, ..., xn` are the elements of this mutable indexed sequence.

     Definition Classes
       IndexedSeqOptimized → TraversableOnce
     Exceptions thrown
       `UnsupportedOperationException`

       if this mutable indexed sequence is empty.

111. #### def reduceLeftOption[B >: Char](op: (B, Char) ⇒ B): Option[B]

     Optionally applies a binary operator to all elements of this mutable indexed sequence, going left to right.

     Optionally applies a binary operator to all elements of this mutable indexed sequence, going left to right.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       an option value containing the result of `reduceLeft(op)` is this mutable indexed sequence is nonempty, `None` otherwise.

     Definition Classes
       TraversableOnce → GenTraversableOnce

112. #### def reduceOption[A1 >: Char](op: (A1, A1) ⇒ A1): Option[A1]

     Reduces the elements of this mutable indexed sequence, if any, using the specified associative binary operator.

     Reduces the elements of this mutable indexed sequence, if any, using the specified associative binary operator.

     The order in which operations are performed on elements is unspecified and may be nondeterministic.

     A1

       A type parameter for the binary operator, a supertype of `A`.

     op

       A binary operator that must be associative.

     returns

       An option value containing result of applying reduce operator `op` between all the elements if the collection is nonempty, and `None` otherwise.

     Definition Classes
       TraversableOnce → GenTraversableOnce

113. #### def reduceRight[B >: Char](op: (Char, B) ⇒ B): B

     Applies a binary operator to all elements of this mutable indexed sequence, going right to left.

     Applies a binary operator to all elements of this mutable indexed sequence, going right to left.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       the result of inserting `op` between consecutive elements of this mutable indexed sequence, going right to left:

           op(x_1, op(x_2, ..., op(x_{n-1}, x_n)...))

       where `x1, ..., xn` are the elements of this mutable indexed sequence.

     Definition Classes
       IndexedSeqOptimized → IterableLike → TraversableOnce → GenTraversableOnce
     Exceptions thrown
       `UnsupportedOperationException`

       if this mutable indexed sequence is empty.

114. #### def reduceRightOption[B >: Char](op: (Char, B) ⇒ B): Option[B]

     Optionally applies a binary operator to all elements of this mutable indexed sequence, going right to left.

     Optionally applies a binary operator to all elements of this mutable indexed sequence, going right to left.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       an option value containing the result of `reduceRight(op)` is this mutable indexed sequence is nonempty, `None` otherwise.

     Definition Classes
       TraversableOnce → GenTraversableOnce

115. #### val repr: Array[Char]

     The collection of type mutable indexed sequence underlying this `TraversableLike` object.

     The collection of type mutable indexed sequence underlying this `TraversableLike` object. By default this is implemented as the `TraversableLike` object itself, but this can be overridden.

     Definition Classes
       ofChar → TraversableLike → GenTraversableLike

116. #### def reverse: Array[Char]

     Returns new mutable indexed sequence wih elements in reversed order.

     Returns new mutable indexed sequence wih elements in reversed order.

     returns

       A new mutable indexed sequence with all elements of this mutable indexed sequence in reversed order.

     Definition Classes
       IndexedSeqOptimized → SeqLike → GenSeqLike

117. #### def reverseIterator: Iterator[Char]

     An iterator yielding elements in reversed order.

     An iterator yielding elements in reversed order.

     Note: `xs.reverseIterator` is the same as `xs.reverse.iterator` but might be more efficient.

     returns

       an iterator yielding the elements of this mutable indexed sequence in reversed order

     Definition Classes
       IndexedSeqOptimized → SeqLike

118. #### def reverseMap[B](f: (A) ⇒ B): Array[B]

     [use case] Builds a new collection by applying a function to all elements of this mutable indexed sequence and collecting the results in reversed order.

     [use case]

     Builds a new collection by applying a function to all elements of this mutable indexed sequence and collecting the results in reversed order.

     Note: `xs.reverseMap(f)` is the same as `xs.reverse.map(f)` but might be more efficient.

     B

       the element type of the returned collection.

     f

       the function to apply to each element.

     returns

       a new mutable indexed sequence resulting from applying the given function `f` to each element of this mutable indexed sequence and collecting the results in reversed order.

     Definition Classes
       SeqLike → GenSeqLike
     Full Signature

     #### def reverseMap[B, That](f: (Char) ⇒ B)(implicit bf: CanBuildFrom[Array[Char], B, That]): That

119. #### def reversed: List[Char]

     Attributes
       protected[this]
     Definition Classes
       TraversableOnce

120. #### def sameElements(that: GenIterable[A]): Boolean

     [use case] Checks if the other iterable collection contains the same elements in the same order as this mutable indexed sequence.

     [use case]

     Checks if the other iterable collection contains the same elements in the same order as this mutable indexed sequence.

     that

       the collection to compare with.

     returns

       `true`, if both collections contain the same elements in the same order, `false` otherwise.

     Definition Classes
       IndexedSeqOptimized → IterableLike → GenIterableLike
     Full Signature

     #### def sameElements[B >: Char](that: GenIterable[B]): Boolean

121. #### def scan[B >: Char, That](z: B)(op: (B, B) ⇒ B)(implicit cbf: CanBuildFrom[Array[Char], B, That]): That

     Computes a prefix scan of the elements of the collection.

     Computes a prefix scan of the elements of the collection.

     Note: The neutral element `z` may be applied more than once.

     B

       element type of the resulting collection

     That

       type of the resulting collection

     z

       neutral element for the operator `op`

     op

       the associative operator for the scan

     cbf

       combiner factory which provides a combiner

     returns

       a new mutable indexed sequence containing the prefix scan of the elements in this mutable indexed sequence

     Definition Classes
       TraversableLike → GenTraversableLike

122. #### def scanLeft[B, That](z: B)(op: (B, Char) ⇒ B)(implicit bf: CanBuildFrom[Array[Char], B, That]): That

     Produces a collection containing cumulative results of applying the operator going left to right.

     Produces a collection containing cumulative results of applying the operator going left to right.

     B

       the type of the elements in the resulting collection

     That

       the actual type of the resulting collection

     z

       the initial value

     op

       the binary operator applied to the intermediate result and the element

     bf

       an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and the new element type `B`.

     returns

       collection with intermediate results

     Definition Classes
       TraversableLike → GenTraversableLike

123. #### def scanRight[B, That](z: B)(op: (Char, B) ⇒ B)(implicit bf: CanBuildFrom[Array[Char], B, That]): That

     Produces a collection containing cumulative results of applying the operator going right to left.

     Produces a collection containing cumulative results of applying the operator going right to left. The head of the collection is the last cumulative result.

     Example:

         List(1, 2, 3, 4).scanRight(0)(_ + _) == List(10, 9, 7, 4, 0)

     B

       the type of the elements in the resulting collection

     That

       the actual type of the resulting collection

     z

       the initial value

     op

       the binary operator applied to the intermediate result and the element

     bf

       an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and the new element type `B`.

     returns

       collection with intermediate results

     Definition Classes
       TraversableLike → GenTraversableLike
     Annotations
       @migration
     Migration

       (Changed in version 2.9.0) The behavior of `scanRight` has changed. The previous behavior can be reproduced with scanRight.reverse.

124. #### def segmentLength(p: (Char) ⇒ Boolean, from: Int): Int

     Computes length of longest segment whose elements all satisfy some predicate.

     Computes length of longest segment whose elements all satisfy some predicate.

     p

       the predicate used to test elements.

     from

       the index where the search starts.

     returns

       the length of the longest segment of this mutable indexed sequence starting from index `from` such that every element of the segment satisfies the predicate `p`.

     Definition Classes
       IndexedSeqOptimized → SeqLike → GenSeqLike

125. #### def seq: IndexedSeq[Char]

     A version of this collection with all of the operations implemented sequentially (i.

     A version of this collection with all of the operations implemented sequentially (i.e. in a single-threaded manner).

     This method returns a reference to this collection. In parallel collections, it is redefined to return a sequential implementation of this collection. In both cases, it has O(1) complexity.

     returns

       a sequential view of the collection.

     Definition Classes
       ArrayOps → IndexedSeqLike → GenSeqLike → Parallelizable → TraversableOnce → GenTraversableOnce

126. #### def size: Int

     The size of this mutable indexed sequence, equivalent to `length`.

     The size of this mutable indexed sequence, equivalent to `length`.

     returns

       the number of elements in this mutable indexed sequence.

     Definition Classes
       SeqLike → GenTraversableLike → TraversableOnce → GenTraversableOnce

127. #### def slice(from: Int, until: Int): Array[Char]

     Selects an interval of elements.

     Selects an interval of elements. The returned collection is made up of all elements `x` which satisfy the invariant:

         from <= indexOf(x) < until

     returns

       a mutable indexed sequence containing the elements greater than or equal to index `from` extending up to (but not including) index `until` of this mutable indexed sequence.

     Definition Classes
       IndexedSeqOptimized → IterableLike → TraversableLike → GenTraversableLike

128. #### def sliding(size: Int, step: Int): Iterator[Array[Char]]

     Groups elements in fixed size blocks by passing a "sliding window" over them (as opposed to partitioning them, as is done in grouped.

     Groups elements in fixed size blocks by passing a "sliding window" over them (as opposed to partitioning them, as is done in grouped.)

     size

       the number of elements per group

     step

       the distance between the first elements of successive groups (defaults to 1)

     returns

       An iterator producing mutable indexed sequences of size `size`, except the last and the only element will be truncated if there are fewer elements than size.

     Definition Classes
       IterableLike
     See also

       scala.collection.Iterator, method `sliding`

129. #### def sliding(size: Int): Iterator[Array[Char]]

     Groups elements in fixed size blocks by passing a "sliding window" over them (as opposed to partitioning them, as is done in grouped.

     Groups elements in fixed size blocks by passing a "sliding window" over them (as opposed to partitioning them, as is done in grouped.)

     size

       the number of elements per group

     returns

       An iterator producing mutable indexed sequences of size `size`, except the last and the only element will be truncated if there are fewer elements than size.

     Definition Classes
       IterableLike
     See also

       scala.collection.Iterator, method `sliding`

130. #### def sortBy[B](f: (Char) ⇒ B)(implicit ord: math.Ordering[B]): Array[Char]

     Sorts this `Array` according to the Ordering which results from transforming an implicitly given Ordering with a transformation function.

     Sorts this `Array` according to the Ordering which results from transforming an implicitly given Ordering with a transformation function.

     B

       the target type of the transformation `f`, and the type where the ordering `ord` is defined.

     f

       the transformation function mapping elements to some other domain `B`.

     ord

       the ordering assumed on domain `B`.

     returns

       a mutable indexed sequence consisting of the elements of this mutable indexed sequence sorted according to the ordering where `x < y` if `ord.lt(f(x), f(y))`.

     Definition Classes
       SeqLike
     Example:

     1.     val words = "The quick brown fox jumped over the lazy dog".split(' ')
            // this works because scala.Ordering will implicitly provide an Ordering[Tuple2[Int, Char]]
            words.sortBy(x => (x.length, x.head))
            res0: Array[String] = Array(The, dog, fox, the, lazy, over, brown, quick, jumped)

     See also

       scala.math.Ordering

131. #### def sortWith(lt: (Char, Char) ⇒ Boolean): Array[Char]

     Sorts this mutable indexed sequence according to a comparison function.

     Sorts this mutable indexed sequence according to a comparison function.

     The sort is stable. That is, elements that are equal (as determined by `lt`) appear in the same order in the sorted sequence as in the original.

     lt

       the comparison function which tests whether its first argument precedes its second argument in the desired ordering.

     returns

       a mutable indexed sequence consisting of the elements of this mutable indexed sequence sorted according to the comparison function `lt`.

     Definition Classes
       SeqLike
     Example:

     1.     List("Steve", "Tom", "John", "Bob").sortWith(_.compareTo(_) < 0) =
            List("Bob", "John", "Steve", "Tom")

132. #### def sorted[B >: Char](implicit ord: math.Ordering[B]): Array[Char]

     Sorts this mutable indexed sequence according to an Ordering.

     Sorts this mutable indexed sequence according to an Ordering.

     The sort is stable. That is, elements that are equal (as determined by `lt`) appear in the same order in the sorted sequence as in the original.

     ord

       the ordering to be used to compare elements.

     returns

       a mutable indexed sequence consisting of the elements of this mutable indexed sequence sorted according to the ordering `ord`.

     Definition Classes
       SeqLike
     See also

       scala.math.Ordering

133. #### def span(p: (Char) ⇒ Boolean): (Array[Char], Array[Char])

     Splits this mutable indexed sequence into a prefix/suffix pair according to a predicate.

     Splits this mutable indexed sequence into a prefix/suffix pair according to a predicate.

     Note: `c span p` is equivalent to (but possibly more efficient than) `(c takeWhile p, c dropWhile p)`, provided the evaluation of the predicate `p` does not cause any side-effects.

     returns

       a pair consisting of the longest prefix of this mutable indexed sequence whose elements all satisfy `p`, and the rest of this mutable indexed sequence.

     Definition Classes
       IndexedSeqOptimized → TraversableLike → GenTraversableLike

134. #### def splitAt(n: Int): (Array[Char], Array[Char])

     Splits this mutable indexed sequence into two at a given position.

     Splits this mutable indexed sequence into two at a given position. Note: `c splitAt n` is equivalent to (but possibly more efficient than) `(c take n, c drop n)`.

     n

       the position at which to split.

     returns

       a pair of mutable indexed sequences consisting of the first `n` elements of this mutable indexed sequence, and the other elements.

     Definition Classes
       IndexedSeqOptimized → TraversableLike → GenTraversableLike

135. #### def startsWith[B](that: GenSeq[B], offset: Int): Boolean

     Tests whether this mutable indexed sequence contains the given sequence at a given index.

     Tests whether this mutable indexed sequence contains the given sequence at a given index.

     Note: If the both the receiver object `this` and the argument `that` are infinite sequences this method may not terminate.

     that

       the sequence to test

     offset

       the index where the sequence is searched.

     returns

       `true` if the sequence `that` is contained in this mutable indexed sequence at index `offset`, otherwise `false`.

     Definition Classes
       IndexedSeqOptimized → SeqLike → GenSeqLike

136. #### def startsWith[B](that: GenSeq[B]): Boolean

     Tests whether this mutable indexed sequence starts with the given sequence.

     Tests whether this mutable indexed sequence starts with the given sequence.

     that

       the sequence to test

     returns

       `true` if this collection has `that` as a prefix, `false` otherwise.

     Definition Classes
       GenSeqLike

137. #### def stringPrefix: String

     Defines the prefix of this object's `toString` representation.

     Defines the prefix of this object's `toString` representation.

     returns

       a string representation which starts the result of `toString` applied to this mutable indexed sequence. By default the string prefix is the simple name of the collection class mutable indexed sequence.

     Definition Classes
       TraversableLike → GenTraversableLike

138. #### def sum: A

     [use case] Sums up the elements of this collection.

     [use case]

     Sums up the elements of this collection.

     returns

       the sum of all elements in this mutable indexed sequence of numbers of type `Int`. Instead of `Int`, any other type `T` with an implicit `Numeric[T]` implementation can be used as element type of the mutable indexed sequence and as result type of `sum`. Examples of such types are: `Long`, `Float`, `Double`, `BigInt`.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Full Signature

     #### def sum[B >: Char](implicit num: Numeric[B]): B

139. #### def tail: Array[Char]

     Selects all elements except the first.

     Selects all elements except the first.

     returns

       a mutable indexed sequence consisting of all elements of this mutable indexed sequence except the first one.

     Definition Classes
       IndexedSeqOptimized → TraversableLike → GenTraversableLike
     Exceptions thrown
       `UnsupportedOperationException`

       if the mutable indexed sequence is empty.

140. #### def tails: Iterator[Array[Char]]

     Iterates over the tails of this mutable indexed sequence.

     Iterates over the tails of this mutable indexed sequence. The first value will be this mutable indexed sequence and the final one will be an empty mutable indexed sequence, with the intervening values the results of successive applications of `tail`.

     returns

       an iterator over all the tails of this mutable indexed sequence

     Definition Classes
       TraversableLike
     Example:

     1. `List(1,2,3).tails = Iterator(List(1,2,3), List(2,3), List(3), Nil)`

141. #### def take(n: Int): Array[Char]

     Selects first n elements.

     Selects first n elements.

     n

       the number of elements to take from this mutable indexed sequence.

     returns

       a mutable indexed sequence consisting only of the first `n` elements of this mutable indexed sequence, or else the whole mutable indexed sequence, if it has less than `n` elements.

     Definition Classes
       IndexedSeqOptimized → IterableLike → TraversableLike → GenTraversableLike

142. #### def takeRight(n: Int): Array[Char]

     Selects last n elements.

     Selects last n elements.

     n

       the number of elements to take

     returns

       a mutable indexed sequence consisting only of the last `n` elements of this mutable indexed sequence, or else the whole mutable indexed sequence, if it has less than `n` elements.

     Definition Classes
       IndexedSeqOptimized → IterableLike

143. #### def takeWhile(p: (Char) ⇒ Boolean): Array[Char]

     Takes longest prefix of elements that satisfy a predicate.

     Takes longest prefix of elements that satisfy a predicate.

     returns

       the longest prefix of this mutable indexed sequence whose elements all satisfy the predicate `p`.

     Definition Classes
       IndexedSeqOptimized → IterableLike → TraversableLike → GenTraversableLike

144. #### def thisCollection: WrappedArray[Char]

     The underlying collection seen as an instance of ``Array``.

     The underlying collection seen as an instance of ``Array``. By default this is implemented as the current collection object itself, but this can be overridden.

     Attributes
       protected[this]
     Definition Classes
       ofChar → IndexedSeqLike → IndexedSeqLike → SeqLike → IterableLike → TraversableLike

145. #### def to[Col[_]]: Col[A]

     [use case] Converts this mutable indexed sequence into another by copying all elements.

     [use case]

     Converts this mutable indexed sequence into another by copying all elements.

     Col

       The collection type to build.

     returns

       a new collection containing all elements of this mutable indexed sequence.

     Definition Classes
       TraversableLike → TraversableOnce → GenTraversableOnce
     Full Signature

     #### def to[Col[_]](implicit cbf: CanBuildFrom[Nothing, Char, Col[Char]]): Col[Char]

146. #### def toArray: Array[A]

     [use case] Converts this mutable indexed sequence to an array.

     [use case]

     Converts this mutable indexed sequence to an array.

     returns

       an array containing all elements of this mutable indexed sequence. An `ClassTag` must be available for the element type of this mutable indexed sequence.

     Definition Classes
       ArrayOps → TraversableOnce → GenTraversableOnce
     Full Signature

     #### def toArray[U >: Char](implicit arg0: ClassTag[U]): Array[U]

147. #### def toBuffer[A1 >: Char]: Buffer[A1]

     Converts this mutable indexed sequence to a mutable buffer.

     Converts this mutable indexed sequence to a mutable buffer.

     returns

       a buffer containing all elements of this mutable indexed sequence.

     Definition Classes
       IndexedSeqLike → TraversableOnce → GenTraversableOnce

148. #### def toCollection(repr: Array[Char]): WrappedArray[Char]

     A conversion from collections of type `Repr` to ``Array`` objects.

     A conversion from collections of type `Repr` to ``Array`` objects. By default this is implemented as just a cast, but this can be overridden.

     Attributes
       protected[this]
     Definition Classes
       ofChar → IndexedSeqLike → IndexedSeqLike → SeqLike → IterableLike → TraversableLike

149. #### def toIndexedSeq: immutable.IndexedSeq[Char]

     Converts this mutable indexed sequence to an indexed sequence.

     Converts this mutable indexed sequence to an indexed sequence.

     returns

       an indexed sequence containing all elements of this mutable indexed sequence.

     Definition Classes
       TraversableOnce → GenTraversableOnce

150. #### def toIterable: collection.Iterable[Char]

     Converts this mutable indexed sequence to an iterable collection.

     Converts this mutable indexed sequence to an iterable collection. Note that the choice of target `Iterable` is lazy in this default implementation as this `TraversableOnce` may be lazy and unevaluated (i.e. it may be an iterator which is only traversable once).

     returns

       an `Iterable` containing all elements of this mutable indexed sequence.

     Definition Classes
       IterableLike → TraversableOnce → GenTraversableOnce

151. #### def toIterator: Iterator[Char]

     Returns an Iterator over the elements in this mutable indexed sequence.

     Returns an Iterator over the elements in this mutable indexed sequence. Will return the same Iterator if this instance is already an Iterator.

     returns

       an Iterator containing all elements of this mutable indexed sequence.

     Definition Classes
       IterableLike → TraversableLike → GenTraversableOnce

152. #### def toList: List[Char]

     Converts this mutable indexed sequence to a list.

     Converts this mutable indexed sequence to a list.

     returns

       a list containing all elements of this mutable indexed sequence.

     Definition Classes
       TraversableOnce → GenTraversableOnce

153. #### def toMap[T, U]: collection.Map[T, U]

     [use case] Converts this mutable indexed sequence to a map.

     [use case]

     Converts this mutable indexed sequence to a map. This method is unavailable unless the elements are members of Tuple2, each ((T, U)) becoming a key-value pair in the map. Duplicate keys will be overwritten by later keys: if this is an unordered collection, which key is in the resulting map is undefined.

     returns

       a map of type `immutable.Map[T, U]` containing all key/value pairs of type `(T, U)` of this mutable indexed sequence.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Full Signature

     #### def toMap[T, U](implicit ev: <:<[Char, (T, U)]): immutable.Map[T, U]

154. #### def toParArray: ParArray[Char]

     Implicit information
       This member is added by an implicit conversion from ofChar to TraversableOps[Char] performed by method traversable2ops in scala.collection.parallel.
     Definition Classes
       TraversableOps

155. #### def toSeq: collection.Seq[Char]

     Converts this mutable indexed sequence to a sequence.

     Converts this mutable indexed sequence to a sequence.

     Overridden for efficiency.

     returns

       a sequence containing all elements of this mutable indexed sequence.

     Definition Classes
       SeqLike → GenSeqLike → TraversableOnce → GenTraversableOnce

156. #### def toSet[B >: Char]: immutable.Set[B]

     Converts this mutable indexed sequence to a set.

     Converts this mutable indexed sequence to a set.

     returns

       a set containing all elements of this mutable indexed sequence.

     Definition Classes
       TraversableOnce → GenTraversableOnce

157. #### def toStream: immutable.Stream[Char]

     Converts this mutable indexed sequence to a stream.

     Converts this mutable indexed sequence to a stream.

     returns

       a stream containing all elements of this mutable indexed sequence.

     Definition Classes
       IterableLike → TraversableLike → GenTraversableOnce

158. #### def toString(): String

     Converts this mutable indexed sequence to a string.

     Converts this mutable indexed sequence to a string.

     returns

       a string representation of this collection. By default this string consists of the `stringPrefix` of this mutable indexed sequence, followed by all elements separated by commas and enclosed in parentheses.

     Definition Classes
       SeqLike → TraversableLike → Any

159. #### def toTraversable: collection.Traversable[Char]

     Converts this mutable indexed sequence to an unspecified Traversable.

     Converts this mutable indexed sequence to an unspecified Traversable. Will return the same collection if this instance is already Traversable.

     returns

       a Traversable containing all elements of this mutable indexed sequence.

     Definition Classes
       TraversableLike → TraversableOnce → GenTraversableOnce

160. #### def toVector: Vector[Char]

     Converts this mutable indexed sequence to a Vector.

     Converts this mutable indexed sequence to a Vector.

     returns

       a vector containing all elements of this mutable indexed sequence.

     Definition Classes
       TraversableOnce → GenTraversableOnce

161. #### def transpose[U](implicit asArray: (Char) ⇒ Array[U]): Array[Array[U]]

     Transposes a two dimensional array.

     Transposes a two dimensional array.

     U

       Type of row elements.

     asArray

       A function that converts elements of this array to rows - arrays of type `U`.

     returns

       An array obtained by replacing elements of this arrays with rows the represent.

     Definition Classes
       ArrayOps

162. #### def union(that: collection.Seq[Char]): Array[Char]

     [use case] Produces a new sequence which contains all elements of this mutable indexed sequence and also all elements of a given sequence.

     [use case]

     Produces a new sequence which contains all elements of this mutable indexed sequence and also all elements of a given sequence. `xs union ys` is equivalent to `xs ++ ys`.

     Another way to express this is that `xs union ys` computes the order-presevring multi-set union of `xs` and `ys`. `union` is hence a counter-part of `diff` and `intersect` which also work on multi-sets.

     that

       the sequence to add.

     returns

       a new mutable indexed sequence which contains all elements of this mutable indexed sequence followed by all elements of `that`.

     Definition Classes
       SeqLike → GenSeqLike
     Full Signature

     #### def union[B >: Char, That](that: GenSeq[B])(implicit bf: CanBuildFrom[Array[Char], B, That]): That

163. #### def update(index: Int, elem: Char): Unit

     Replaces element at given index with a new value.

     Replaces element at given index with a new value.

     elem

       the new value.

     Definition Classes
       ofChar → IndexedSeqLike
     Exceptions thrown
       IndexOutOfBoundsException

       if the index is not valid.

164. #### def updated(index: Int, elem: A): Array[A]

     [use case] A copy of this mutable indexed sequence with one single replaced element.

     [use case]

     A copy of this mutable indexed sequence with one single replaced element.

     index

       the position of the replacement

     elem

       the replacing element

     returns

       a copy of this mutable indexed sequence with the element at position `index` replaced by `elem`.

     Definition Classes
       SeqLike → GenSeqLike
     Full Signature

     #### def updated[B >: Char, That](index: Int, elem: B)(implicit bf: CanBuildFrom[Array[Char], B, That]): That

165. #### def view(from: Int, until: Int): IndexedSeqView[Char, Array[Char]]

     A sub-sequence view starting at index `from` and extending up to (but not including) index `until`.

     A sub-sequence view starting at index `from` and extending up to (but not including) index `until`.

     from

       The index of the first element of the slice

     until

       The index of the element following the slice

     returns

       a non-strict view of a slice of this mutable indexed sequence, starting at index `from` and extending up to (but not including) index `until`.@note The difference between `view` and `slice` is that `view` produces a view of the current sequence, whereas `slice` produces a new sequence.

     Definition Classes
       IndexedSeqLike → SeqLike → IterableLike → TraversableLike
     Note

       view(from, to) is equivalent to view.slice(from, to)

166. #### def view: IndexedSeqView[Char, Array[Char]]

     Creates a view of this iterable @see Iterable.

     Creates a view of this iterable @see Iterable.View

     returns

       a non-strict view of this mutable indexed sequence.

     Definition Classes
       IndexedSeqLike → SeqLike → IterableLike → TraversableLike

167. #### def withFilter(p: (Char) ⇒ Boolean): FilterMonadic[Char, Array[Char]]

     Creates a non-strict filter of this mutable indexed sequence.

     Creates a non-strict filter of this mutable indexed sequence.

     Note: the difference between `c filter p` and `c withFilter p` is that the former creates a new collection, whereas the latter only restricts the domain of subsequent `map`, `flatMap`, `foreach`, and `withFilter` operations.

     p

       the predicate used to test elements.

     returns

       an object of class `WithFilter`, which supports `map`, `flatMap`, `foreach`, and `withFilter` operations. All these operations apply to those elements of this mutable indexed sequence which satisfy the predicate `p`.

     Definition Classes
       TraversableLike → FilterMonadic

168. #### def zip[B](that: GenIterable[B]): Array[(A, B)]

     [use case] Returns a mutable indexed sequence formed from this mutable indexed sequence and another iterable collection by combining corresponding elements in pairs.

     [use case]

     Returns a mutable indexed sequence formed from this mutable indexed sequence and another iterable collection by combining corresponding elements in pairs. If one of the two collections is longer than the other, its remaining elements are ignored.

     B

       the type of the second half of the returned pairs

     that

       The iterable providing the second half of each result pair

     returns

       a new mutable indexed sequence containing pairs consisting of corresponding elements of this mutable indexed sequence and `that`. The length of the returned collection is the minimum of the lengths of this mutable indexed sequence and `that`.

     Definition Classes
       IndexedSeqOptimized → IterableLike → GenIterableLike
     Full Signature

     #### def zip[A1 >: Char, B, That](that: GenIterable[B])(implicit bf: CanBuildFrom[Array[Char], (A1, B), That]): That

169. #### def zipAll[B](that: collection.Iterable[B], thisElem: A, thatElem: B): Array[(A, B)]

     [use case] Returns a mutable indexed sequence formed from this mutable indexed sequence and another iterable collection by combining corresponding elements in pairs.

     [use case]

     Returns a mutable indexed sequence formed from this mutable indexed sequence and another iterable collection by combining corresponding elements in pairs. If one of the two collections is shorter than the other, placeholder elements are used to extend the shorter collection to the length of the longer.

     B

       the type of the second half of the returned pairs

     that

       The iterable providing the second half of each result pair

     thisElem

       the element to be used to fill up the result if this mutable indexed sequence is shorter than `that`.

     thatElem

       the element to be used to fill up the result if `that` is shorter than this mutable indexed sequence.

     returns

       a new mutable indexed sequence containing pairs consisting of corresponding elements of this mutable indexed sequence and `that`. The length of the returned collection is the maximum of the lengths of this mutable indexed sequence and `that`. If this mutable indexed sequence is shorter than `that`, `thisElem` values are used to pad the result. If `that` is shorter than this mutable indexed sequence, `thatElem` values are used to pad the result.

     Definition Classes
       IterableLike → GenIterableLike
     Full Signature

     #### def zipAll[B, A1 >: Char, That](that: GenIterable[B], thisElem: A1, thatElem: B)(implicit bf: CanBuildFrom[Array[Char], (A1, B), That]): That

170. #### def zipWithIndex: Array[(A, Int)]

     [use case] Zips this mutable indexed sequence with its indices.

     [use case]

     Zips this mutable indexed sequence with its indices.

     returns

       A new mutable indexed sequence containing pairs consisting of all elements of this mutable indexed sequence paired with their index. Indices start at `0`.

     Definition Classes
       IndexedSeqOptimized → IterableLike → GenIterableLike
     Full Signature

     #### def zipWithIndex[A1 >: Char, That](implicit bf: CanBuildFrom[Array[Char], (A1, Int), That]): That

     Example:

     1. `List("a", "b", "c").zipWithIndex = List(("a", 0), ("b", 1), ("c", 2))`

171. #### def →[B](y: B): (ofChar, B)

     Implicit information
       This member is added by an implicit conversion from ofChar to ArrowAssoc[ofChar] performed by method any2ArrowAssoc in scala.Predef.
     Definition Classes
       ArrowAssoc

### Shadowed Implicit Value Members

1. #### def filter(p: (Char) ⇒ Boolean): TraversableOnce[Char]

   Implicit information
     This member is added by an implicit conversion from ofChar to MonadOps[Char] performed by method MonadOps in scala.collection.TraversableOnce.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (ofChar: MonadOps[Char]).filter(p)

   Definition Classes
     MonadOps

2. #### def flatMap[B](f: (Char) ⇒ GenTraversableOnce[B]): TraversableOnce[B]

   Implicit information
     This member is added by an implicit conversion from ofChar to MonadOps[Char] performed by method MonadOps in scala.collection.TraversableOnce.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (ofChar: MonadOps[Char]).flatMap(f)

   Definition Classes
     MonadOps

3. #### def map[B](f: (Char) ⇒ B): TraversableOnce[B]

   Implicit information
     This member is added by an implicit conversion from ofChar to MonadOps[Char] performed by method MonadOps in scala.collection.TraversableOnce.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (ofChar: MonadOps[Char]).map(f)

   Definition Classes
     MonadOps

4. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from ofChar to StringAdd performed by method any2stringadd in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (ofChar: StringAdd).self

   Definition Classes
     StringAdd

5. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from ofChar to StringFormat performed by method any2stringfmt in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (ofChar: StringFormat).self

   Definition Classes
     StringFormat

6. #### def withFilter(p: (Char) ⇒ Boolean): Iterator[Char]

   Implicit information
     This member is added by an implicit conversion from ofChar to MonadOps[Char] performed by method MonadOps in scala.collection.TraversableOnce.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (ofChar: MonadOps[Char]).withFilter(p)

   Definition Classes
     MonadOps

### Deprecated Value Members

1. #### def /:\[A1 >: Char](z: A1)(op: (A1, A1) ⇒ A1): A1

   A syntactic sugar for out of order folding.

   A syntactic sugar for out of order folding. See `fold`.

   Example:

       scala> val a = LinkedList(1,2,3,4)
       a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

       scala> val b = (a /:\ 5)(_+_)
       b: Int = 15

   Definition Classes
     GenTraversableOnce
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) use fold instead

2. #### def x: ofChar

   Implicit information
     This member is added by an implicit conversion from ofChar to ArrowAssoc[ofChar] performed by method any2ArrowAssoc in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (ofChar: ArrowAssoc[ofChar]).x

   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `leftOfArrow`instead``

3. #### def x: ofChar

   Implicit information
     This member is added by an implicit conversion from ofChar to Ensuring[ofChar] performed by method any2Ensuring in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (ofChar: Ensuring[ofChar]).x

   Definition Classes
     Ensuring
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `resultOfEnsuring`instead``

### Inherited from ArrayOps[Char]

### Inherited from CustomParallelizable[Char, ParArray[Char]]

### Inherited from ArrayLike[Char, Array[Char]]

### Inherited from IndexedSeqOptimized[Char, Array[Char]]

### Inherited from collection.IndexedSeqOptimized[Char, Array[Char]]

### Inherited from IndexedSeqLike[Char, Array[Char]]

### Inherited from collection.IndexedSeqLike[Char, Array[Char]]

### Inherited from collection.SeqLike[Char, Array[Char]]

### Inherited from GenSeqLike[Char, Array[Char]]

### Inherited from IterableLike[Char, Array[Char]]

### Inherited from GenIterableLike[Char, Array[Char]]

### Inherited from TraversableLike[Char, Array[Char]]

### Inherited from GenTraversableLike[Char, Array[Char]]

### Inherited from Parallelizable[Char, ParArray[Char]]

### Inherited from TraversableOnce[Char]

### Inherited from GenTraversableOnce[Char]

### Inherited from FilterMonadic[Char, Array[Char]]

### Inherited from HasNewBuilder[Char, Array[Char]]

### Inherited from Equals

### Inherited from AnyVal

### Inherited from NotNull

### Inherited from Any

### Inherited by implicit conversion traversable2ops from ofChar to TraversableOps[Char]

### Inherited by implicit conversion MonadOps from ofChar to MonadOps[Char]

### Inherited by implicit conversion any2stringadd from ofChar to StringAdd

### Inherited by implicit conversion any2stringfmt from ofChar to StringFormat

### Inherited by implicit conversion any2ArrowAssoc from ofChar to ArrowAssoc[ofChar]

### Inherited by implicit conversion any2Ensuring from ofChar to Ensuring[ofChar]

### Inherited by implicit conversion alternateImplicit from ofChar to ForceImplicitAmbiguity

### Ungrouped